php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #11286 dynamic modules install error
Submitted: 2001-06-05 09:21 UTC Modified: 2001-06-05 10:50 UTC
From: longying at myinfo dot net dot cn Assigned:
Status: Closed Package: Installation problem
PHP Version: 4.0.5 OS: linux 7.0
Private report: No CVE-ID: None
 [2001-06-05 09:21 UTC] longying at myinfo dot net dot cn
my operate system is linux7.0
I have installed apache1.3.19 in my box,it successed
my install step:

#./configure --prefix=/inetpub --enable-module=so
#make;make install

then I install php4.0.5 (dynamic modules install,it have not report any error during install)
my step:
#./confiure --with-mysql=/usr/local/mysql --with-apxs=/inetpub/bin/apxs
#make;make install

then I startup the apache:
#/inetpub/bin/apachectl start

it reports??
"Syntax error on line 205 of /inetpub/conf/httpd.conf:
Cannot load /inetpub/libexec/libphp4.so into server: undefined symbol:uncompress"

I saw the file /inetpub/libexec/libphp4.so do exists,I thought it is created in the php install process.
I saw the line 205 of /inetpub/conf/httpd.conf:

LoadModule php4_module        libexec/libphp4.so 

I have replaced it with :

LoadModule php4_module /inetpub/libexec/libphp4.so 

but it do the same error!
why?how to resolve?




Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2001-06-05 10:50 UTC] sniper@php.net
This is fixed in PHP 4.0.6. Please try the latest RC from
here:

http://www.php.net/~andi/php-4.0.6RC2.tar.gz


--Jani

 
PHP Copyright © 2001-2022 The PHP Group
All rights reserved.
Last updated: Mon Jul 04 00:05:44 2022 UTC